Application: gvSIG desktop - gvSIG bugs #512
Can't use the measure distances and areas tools
04/09/2012 02:40 AM - Manuel Madrid

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Cesar Ordifiana

Category:

Target version: 2.0.0-alpha6

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2045 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Create a view
2. Load a vector layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/comvalenciana_muni.shp)

3. Click on the measure distances or areas tool icon
4. Click on the view (first point of the distance or area)
5. Error.

The error appears repeatedly.

Attached the log file.

History

#1 - 04/09/2012 02:48 AM - Manuel Madrid
- Subject changed from Can't use the measure distances tool to Can't use the measure distances and areas tools
- Description updated

#2 - 05/30/2012 03:44 PM - Manuel Madrid

- Target version set to 2.0.0-rc1

#3 - 06/21/2012 04:21 PM - Cesar Ordinana
- Status changed from New to In progress
- Assignee set to Cesar Ordifiana

#4 - 06/21/2012 05:13 PM - Cesar Ordinana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Seems to me the error was not related to the measure and area tools, but to a problem in the installation of the CRS extension in the build 2045, as
appears in the log file. This error is produced when gvSIG is unable to load the Proj4 native library from the system:

Could not initialize class org.gvsig.crs.proj.CrsProj
java.lang.NoClassDefFoundError: Could not initialize class org.gvsig.crs.proj.CrsProj
at org.gvsig.crs.CrsGT.getCrsProj(CrsGT.java:324)
at org.gvsig.crs.CrsGT.toGeo(CrsGT.java:287)
http://downloads.gvsig.org/download/geodata/vector/SHP2D/comvalenciana_muni.shp

at org.gvsig.fmap.mapcontext.ViewPort.distanceWorld(ViewPort.java:717)

at org.gvsig.app.project.documents.view.toolListeners.MeasureListener.points(MeasureListener.java:93)

I've tested it now and doesn't happen to me.

#5 - 06/24/2012 09:29 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-alpha6

#6 - 07/12/2012 09:48 AM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2049

Files

gvSIG.log 135 KB 04/09/2012 Manuel Madrid
